<div class="component" [class.dragging]="dragging">
  <div class="list">
    <div
      class="case"
      *ngFor="let caseRef of day.caseRefs"
      pDraggable="trash"
      (onDragStart)="startDragging(caseRef)"
      (onDragEnd)="stopDragging()"
    >
      <app-case-card
        [caseRef]="caseRef"
        [documentId]="plan.caseDocumentId"
      ></app-case-card>
    </div>
  </div>
  <div class="trashzone" pDroppable="trash" (onDrop)="dropToTrash()">
    <i class="pi pi-trash"></i>
  </div>
</div>
